<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE AdapterType SYSTEM "http://www.holobloc.com/xml/LibraryElement.dtd" >
<AdapterType Name="PANEL" Comment="Adapter Interface" >
  <Identification Standard="61499-2" />
  <VersionInfo Organization="MLU" Version="0.0" Author="Valeriy Vyatkin" Date="2002-10-21" />
  <CompilerInfo header="package fb.rt.fst1;" >
  </CompilerInfo>
  <InterfaceList>
    <EventInputs>
      <Event Name="REQ" Comment="Normal Execution Request" >
        <With Var="STLD" />
        <With Var="IPLD" />
        <With Var="MGZLD" />
      </Event>
    </EventInputs>
    <EventOutputs>
      <Event Name="CHGO" >
        <With Var="SEMIAUTO" />
      </Event>
      <Event Name="START" Comment="Initialization Request" >
        <With Var="SEMIAUTO" />
      </Event>
      <Event Name="RESET" Comment="Initialization Request" >
        <With Var="SEMIAUTO" />
      </Event>
      <Event Name="STOP" Comment="Initialization Request" >
        <With Var="SEMIAUTO" />
      </Event>
      <Event Name="ACK" Comment="Initialization Request" >
        <With Var="SEMIAUTO" />
      </Event>
    </EventOutputs>
    <InputVars>
      <VarDeclaration Name="STLD" Type="BOOL" />
      <VarDeclaration Name="IPLD" Type="BOOL" />
      <VarDeclaration Name="MGZLD" Type="BOOL" />
    </InputVars>
    <OutputVars>
      <VarDeclaration Name="SEMIAUTO" Type="BOOL" />
    </OutputVars>
  </InterfaceList>
  <Service RightInterface="Server" LeftInterface="Client" >
    <ServiceSequence Name="Data" >
      <ServiceTransaction >
        <InputPrimitive Interface="Client" Event="REQ" Parameters="STLD,IPLD,MGZLD" />
        <OutputPrimitive Interface="Server" Event="REQ" Parameters="STLD,IPLD,MGZLD" />
      </ServiceTransaction>
    </ServiceSequence>
    <ServiceSequence Name="start" >
      <ServiceTransaction >
        <InputPrimitive Interface="Server" Event="START" />
        <OutputPrimitive Interface="Client" Event="START" />
      </ServiceTransaction>
    </ServiceSequence>
    <ServiceSequence Name="stop" >
      <ServiceTransaction >
        <InputPrimitive Interface="Server" Event="STOP" />
        <OutputPrimitive Interface="Client" Event="STOP" />
      </ServiceTransaction>
    </ServiceSequence>
    <ServiceSequence Name="reset" >
      <ServiceTransaction >
        <InputPrimitive Interface="Server" Event="ACK" />
        <OutputPrimitive Interface="Client" Event="ACK" />
      </ServiceTransaction>
    </ServiceSequence>
    <ServiceSequence Name="EXCH" >
      <ServiceTransaction >
        <InputPrimitive Interface="Client" Event="CHGO" Parameters="SEMIAUTO" />
        <OutputPrimitive Interface="Server" Event="CHGO" Parameters="SEMIAUTO" />
      </ServiceTransaction>
    </ServiceSequence>
  </Service>
</AdapterType>
